# Get a chaos v2 experiment

Get a chaos v2 experiment

Endpoint: GET /gateway/chaos/manager/api/rest/v2/experiments/{experimentId}/variables
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `isIdentity` (boolean, required)
    is human-readable experiment identity passed

## Path parameters:

  - `experimentId` (string, required)
    experimentId to be fetched

## Response 200 fields (application/json):

  - `experiment` (array)

  - `experiment.allowedValues` (array)

  - `experiment.category` (string)
    Enum: "FaultTarget", "FaultTunable", "TargetInfra", "ExperimentTunable", "ActionProperties", "ProbeProperties", "RunProperties", "FaultAuthentication"

  - `experiment.default` (any)

  - `experiment.description` (string)

  - `experiment.name` (string, required)

  - `experiment.path` (string)

  - `experiment.required` (boolean)

  - `experiment.stringify` (boolean)

  - `experiment.tags` (array)

  - `experiment.tooltipId` (string)

  - `experiment.type` (string)
    Enum: "String", "Integer", "Boolean", "Number", "SecretFile", "SecretText"

  - `experiment.validator` (string)

  - `experiment.value` (any, required)

  - `tasks` (object)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


